Avistadocs

Listar webhooks de la cuenta

GET /api/webhooks

GET https://api.avista.global/api/webhooks

Requiere un Bearer token en el header Authorization. Vea Generar Token para obtener uno.

Retorna todos los webhooks configurados para la cuenta autenticada.

Autenticación

Requiere un Bearer token en el header Authorization.


Ejemplos de Código

cURL
curl -X GET "https://api.avista.global/api/webhooks" \
  -H "Authorization: Bearer $AVISTA_TOKEN"
const axios = require('axios');

const response = await axios.get('https://api.avista.global/api/webhooks', {
  headers: { 'Authorization': `Bearer ${process.env.AVISTA_TOKEN}` },
});
console.log(response.data);
import os, requests

response = requests.get(
    'https://api.avista.global/api/webhooks',
    headers={'Authorization': f'Bearer {os.environ["AVISTA_TOKEN"]}'},
)
print(response.json())
$ch = curl_init('https://api.avista.global/api/webhooks');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('AVISTA_TOKEN'),
    ],
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
HttpRequest request = HttpRequest.newBuilder()
    .uri(URI.create("https://api.avista.global/api/webhooks"))
    .header("Authorization", "Bearer " + System.getenv("AVISTA_TOKEN"))
    .GET()
    .build();
HttpResponse<String> response = HttpClient.newHttpClient()
    .send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());

Respuesta (200)

CampoTipoDescripción
accountIdnumberID de la cuenta
webhooksarrayLista de webhooks configurados
webhooks[].idnumberIdentificador único del webhook
webhooks[].typestringTipo de evento: cash_in, cash_out, refund_in, refund_out, med_created, med_accepted, med_rejected
webhooks[].urlstringURL del endpoint configurado
webhooks[].headersobjectHeaders personalizados (clave-valor)
webhooks[].isActivebooleanIndica si el webhook está activo
webhooks[].createdAtstringFecha de creación (ISO 8601)
totalnumberCantidad total de webhooks configurados
{
  "accountId": 93,
  "webhooks": [
    {
      "id": 1,
      "type": "cash_in",
      "url": "https://api.example.com/webhooks/pix",
      "headers": {
        "Authorization": "Bearer token123"
      },
      "isActive": true,
      "createdAt": "2025-01-09T12:00:00.000Z"
    }
  ],
  "total": 4
}

Errores

EstadoDescripción
401Token faltante o inválido
404Cuenta no encontrada

En esta página